# frozen_string_literal: true

require_relative 'lib/splinter/version'

Gem::Specification.new do |spec|
  spec.name          = 'splinter-pto'
  spec.version       = Splinter::VERSION
  spec.authors       = ['Lien Van Den Steen']
  spec.email         = ['lvandensteen@gitlab.com']

  spec.summary       = 'Ruby wrapper for the PTO by Roots API'
  spec.homepage      = 'https://gitlab.com/gitlab-com/people-group/peopleops-eng/splinter'
  spec.license       = 'MIT'
  spec.required_ruby_version = Gem::Requirement.new('>= 2.4.0')

  spec.metadata['homepage_uri'] = spec.homepage
  spec.metadata['source_code_uri'] = 'https://gitlab.com/gitlab-com/people-group/peopleops-eng/splinter'
  spec.metadata['changelog_uri'] = 'https://gitlab.com/gitlab-com/people-group/peopleops-eng/splinter'

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files = Dir.chdir(File.expand_path(__dir__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_runtime_dependency 'rest-client', '~> 2.0'

  spec.add_development_dependency 'json'
  spec.add_development_dependency 'pry', '~> 0.13'
  spec.add_development_dependency 'rake', '~> 13.0'
  spec.add_development_dependency 'rspec', '~> 3.7', '>= 3.9.0'
  spec.add_development_dependency 'rubocop', '~> 0.85'
  spec.add_development_dependency 'rubocop-packaging', '~> 0.1'
  spec.add_development_dependency 'rubocop-rspec', '~> 1.39'
end
